Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.xsd2inst
Class SchemaInstanceGenerator

    java.lang.Object
      org.apache.xmlbeans.impl.xsd2inst.SchemaInstanceGenerator

    public class SchemaInstanceGenerator

extends java.lang.Object

Nested Class Summary
`static class` | `SchemaInstanceGenerator.Xsd2InstOptions`

Constructor Summary
`SchemaInstanceGenerator()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`static void` | `printUsage()`
`static java.lang.String` | `xsd2inst(java.io.Reader[] schemaReaders, java.lang.String rootName, SchemaInstanceGenerator.Xsd2InstOptions options)`
`static java.lang.String` | `xsd2inst(java.lang.String[] xsds, java.lang.String rootName, SchemaInstanceGenerator.Xsd2InstOptions options)`
`static java.lang.String` | `xsd2inst(XmlObject[] schemas, java.lang.String rootName, SchemaInstanceGenerator.Xsd2InstOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaInstanceGenerator

    public SchemaInstanceGenerator()

Method Detail

### printUsage

    public static void printUsage()

### main

    public static void main(java.lang.String[] args)

### xsd2inst

    public static java.lang.String xsd2inst(java.lang.String[] xsds,
                                            java.lang.String rootName,
                                            SchemaInstanceGenerator.Xsd2InstOptions options)
                                     throws XmlException,
                                            java.io.IOException

  Throws:
    `XmlException`
    `java.io.IOException`

### xsd2inst

    public static java.lang.String xsd2inst(java.io.Reader[] schemaReaders,
                                            java.lang.String rootName,
                                            SchemaInstanceGenerator.Xsd2InstOptions options)

### xsd2inst

    public static java.lang.String xsd2inst(XmlObject[] schemas,
                                            java.lang.String rootName,
                                            SchemaInstanceGenerator.Xsd2InstOptions options)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD